%
% BibTex Database
% ===========================================================================
% This is part of the document "Project documentation vpn box".
% Authors: 
%

@online{wiki:menuconfig,
	title = {menuconfig},
	url = {https://en.wikipedia.org/wiki/Menuconfig},
	note = "[Online; accessed 25-October-2019]"

}

@online{gnu.org:ncurses,
	title = {ncurses},
	url = {https://www.gnu.org/software/ncurses/},
	note = "[Online; accessed 25-October-2019]"
}

@online{python.org:curses,
	title = {Python curses module},
	url = {https://docs.python.org/3/howto/curses.html},
	note = "[Online; accessed 25-October-2019]"
}

@online{urwid.org:homepage,
	title = {Urwid},
	url = {http://urwid.org/},
	note = "[Online; accessed 25-October-2019]"
}

@online{urwid.org:bigtext_example,
	title = {Urwid - BigText example},
	url = {http://urwid.org/examples/index.html#bigtext-py},
	note = "[Online; accessed 25-October-2019]"
}

@online{cement_framework:homepage,
	title = {Cement Framework},
	url = {https://builtoncement.com/},
	note = "[Online; accessed 25-October-2019]"
}

@online{cement_framework:beginner_tutorial_video,
	title = {Cement Framework - Beginner Tutorial Video},
	url = {https://builtoncement.com/assets/video/beginner-tutorial.mp4},
	note = "[Online; accessed 25-October-2019]"
}


@online{npyscreen:docs,
	title = {npyscreen},
	url = {https://npyscreen.readthedocs.io/},
	note = "[Online; accessed 01-November-2019]"
}

@online{npyscreen:example_code,
	title = {npyscreen - example code},
	url = {https://npyscreen.readthedocs.io/introduction.html#example-code},
	note = "[Online; accessed 01-November-2019]"
}

@online{django:homepage,
	title = {Django Web Framework},
	url = {https://www.djangoproject.com/},
	note = "[Online; accessed 01-November-2019]"
}

@online{raspberrypi.org:downloads,
	title = {RaspberryPi - Downloads},
	url = {https://www.raspberrypi.org/downloads/},
	note = "[Online; accessed 25-October-2019]"
}

@online{raspberrypi.org:model4b-specs,
	title = {RaspberryPi - Model 4B specs},
	url = {https://www.raspberrypi.org/products/raspberry-pi-4-model-b/specifications/},
	note = "[Online; accessed 08-November-2019]"
}

@online{raspberrypi.org:homepage,
	title = {RaspberryPi - Homepage},
	url = {https://www.raspberrypi.org/},
	note = "[Online; accessed 08-November-2019]"
}

@online{wireguard.com:install_debian,
	title = {Wireguard - Install on Debian},
	url = {https://www.wireguard.com/install/#debian-module-tools},
	note = "[Online; accessed 08-November-2019]"
}

@online{wireguard.com:performance_benchmark,
	title = {Wireguard - Performance Benchmark},
	url = {https://www.wireguard.com/performance/},
	note = "[Online; accessed 08-November-2019]"
}

@online{openvswitch.org:install_debian,
	title = {Open vSwitch - Distributions packaging Open vSwitch for Debian},
	url = {http://docs.openvswitch.org/en/latest/intro/install/distributions/#debian},
	note = "[Online; accessed 08-November-2019]"
}

@online{openvswitch.org:homepage,
	title = {Open vSwitch - Homepage},
	url = {https://www.openvswitch.org/},
	note = "[Online; accessed 08-November-2019]"
}

@online{debian.org:hostapd_package,
	title = {Debian - Hostapd Package},
	url = {https://packages.debian.org/buster/hostapd},
	note = "[Online; accessed 08-November-2019]"
}

@online{linuxconfig.org:enable_ip-forwarding,
	title = {Linuxconfig -  How to Disable/Enable IP forwarding in Linux},
	url = {https://linuxconfig.org/how-to-turn-on-off-ip-forwarding-in-linux},
	note = "[Online; accessed 08-November-2019]"
}

@online{archlinux.org:internet_sharing_iptables,
	title = {Arch Linux - Internet sharing},
	url = {https://wiki.archlinux.org/index.php/Internet_sharing#With_iptables},
	note = "[Online; accessed 08-November-2019]"
}

@online{archlinux.org:internet_sharing_ip-forwarding,
	title = {Arch Linux - Internet sharing},
	url = {https://wiki.archlinux.org/index.php/Internet_sharing#Enable_packet_forwarding},
	note = "[Online; accessed 08-November-2019]"
}

@online{openvswitch.org:mailing-list_hostapd_ovs,
	title = {Open vSwitch Mailing List - hostapd OVS dicussion},
	url = {https://mail.openvswitch.org/pipermail/ovs-discuss/2016-October/042871.html},
	note = "[Online; accessed 08-November-2019]"
}

@online{github.com:pi-gen,
	title = {Pi-Gen},
	url = {https://github.com/RPi-Distro/pi-gen},
	note = "[Online; accessed 08-November-2019]"
}

@online{palletsprojects.com:flask_homepage,
	title = {Flask Webframework},
	url = {https://flask.palletsprojects.com},
	note = "[Online; accessed 15-November-2019]"
}

@online{palletsprojects.com:flask_sqlalchemy,
	title = {Flask-SQLAlchemy extension},
	url = {https://flask-sqlalchemy.palletsprojects.com/},
	note = "[Online; accessed 15-November-2019]"
}

@online{sqlite.org:homepage,
	title = {SQlite},
	url = {https://www.sqlite.org/index.html},
	note = "[Online; accessed 29-November-2019]"
}

@online{wtforms:readthedocs,
	title = {WTForms},
	url = {https://wtforms.readthedocs.io/en/stable/},
	note = "[Online; accessed 29-November-2019]"
}

@online{flask-wtf:readthedocs,
	title = {Flask-WTF},
	url = {https://flask-wtf.readthedocs.io/en/stable/},
	note = "[Online; accessed 29-November-2019]"
}

@online{flask-login:readthedocs,
	title = {Flask-Login},
	url = {https://flask-login.readthedocs.io/en/latest/},
	note = "[Online; accessed 29-November-2019]"
}

@online{flask-bcrypt:readthedocs,
	title = {Flask-Bcrypt},
	url = {https://flask-bcrypt.readthedocs.io/en/latest/},
	note = "[Online; accessed 30-November-2019]"
}

@online{flask-deployment:wsgi,
	title = {Flask-Deployment},
	url = {https://flask.palletsprojects.com/en/1.1.x/deploying/wsgi-standalone/},
	note = "[Online; accessed 29-November-2019]"
}

@online{gunicorn.org:homepage,
	title = {Gunicorn},
	url = {https://gunicorn.org/},
	note = "[Online; accessed 29-November-2019]"
}

@online{gunicorn.org:deployment,
	title = {Gunicorn Deployment with nginx},
	url = {https://gunicorn.org/#deployment},
	note = "[Online; accessed 29-November-2019]"
}

@online{freedesktop.org:systemd.service,
	title = {Systemd Service File},
	url = {https://www.freedesktop.org/software/systemd/man/systemd.service.html},
	note = "[Online; accessed 29-November-2019]"
}

@online{github.com:hostapd-compiling-instructions,
	title = {hostapd: compiling-instructions},
	url = {https://github.com/IntelOpenDesign/MakerNode/wiki/hostapd:-compiling-instructions},
	note = "[Online; accessed 29-November-2019]"
}

@online{github.com:helmut-jacob/hostapd,
	title = {github.com - helmut-jacob/hostapd - commit c89daaeca4ee90c8bc158e37acb1b679c823d7ab},
	url = {https://github.com/helmut-jacob/hostapd/commit/c89daaeca4ee90c8bc158e37acb1b679c823d7ab#diff-165dd5a1681d9394993972f6923fddf8R153},
	note = "[Online; accessed 29-November-2019]"
}


@online{github:ovs_rhel_readme,
	title = {Github - OVS RHEL README},
	url = {https://github.com/openvswitch/ovs/blob/master/rhel/README.RHEL.rst},
	note = "[Online; accessed 11-December-2019]"
}

@online{github:ovs_debian_readme,
	title = {Github - OVS Debian README},
	url = {https://github.com/openvswitch/ovs/blob/master/debian/openvswitch-switch.README.Debian},
	note = "[Online; accessed 11-December-2019]"
}

@online{wiki:orm,
	title = {Wikipedia - Objektrelationale Abbildung, ORM},
	url = {https://de.wikipedia.org/wiki/Objektrelationale_Abbildung},
	note = "[Online; accessed 15-November-2019]"
}

@online{wiki:BLAKE2,
	title = {Wikipedia - BLAKE2},
	url = {https://en.wikipedia.org/wiki/BLAKE_(hash_function)#BLAKE2},
	note = "[Online; accessed 21-December-2019]"
}


@online{wiki:Poly1305,
	title = {Wikipedia - Poly1305},
	url = {https://en.wikipedia.org/wiki/Poly1305},
	note = "[Online; accessed 21-December-2019]"
}

@online{wiki:Curve25519,
	title = {Wikipedia - Curve25519},
	url = {https://en.wikipedia.org/wiki/Curve25519},
	note = "[Online; accessed 21-December-2019]"
}

@online{wiki:DiffieHellman,
	title = {Wikipedia - Diffie Hellman},
	url = {https://en.wikipedia.org/wiki/Diffie%E2%80%93Hellman_key_exchange},
	note = "[Online; accessed 21-December-2019]"
}


@online{wiki:ChaCha20,
	title = {Wikipedia - ChaCha20},
	url = {https://en.wikipedia.org/wiki/Salsa20#ChaCha_variant},
	note = "[Online; accessed 21-December-2019]"
}


@online{wiki:OpenVPN,
	title = {Wikipedia - OpenVPN},
	url = {https://en.wikipedia.org/wiki/OpenVPN},
	note = "[Online; accessed 21-December-2019]"
}

@online{wiki:IPSec,
	title = {Wikipedia - IPSec},
	url = {https://en.wikipedia.org/wiki/IPSec},
	note = "[Online; accessed 21-December-2019]"
}

@online{bootstraptoggle:home,
	title = {BootstrapToggle - Home},
	url = {https://www.bootstraptoggle.com/},
	note = "[Online; accessed 28-December-2019]"
}

@online{advanteh:sbc,
	title = {Advantech - Single Board Computer},
	url = {https://www.advantech.com/products/35-mi-o-compact-single-board-computers/sub_bc6786b7-b69b-4fdd-9b63-79180dbd5dcb},
	note = "[Online; accessed 29-December-2019]"
}

@online{advanteh:mio,
	title = {Advantech - MIO-5373},
	url = {https://www.advantech.com/products/bc6786b7-b69b-4fdd-9b63-79180dbd5dcb/mio-5373/mod_1f613de5-5c23-43be-a967-a5260d832e4f},
	note = "[Online; accessed 29-December-2019]"
}


@online{ubuntu:smart-display_ubuntu-core,
	title = {Smart Display - Ubuntu Core},
	url = {https://ubuntu.com/blog/smart-displays-run-ubuntu-core},
	note = "[Online; accessed 29-December-2019]"
}

@online{github:prometheus_wg-exporter,
	title = {Prometheus - Wireguard Exporter},
	url = {https://github.com/MindFlavor/prometheus_wireguard_exporter},
	note = "[Online; accessed 29-December-2019]"
}

@online{prometheus,
	title = {Prometheus.io},
	url = {https://prometheus.io/},
	note = "[Online; accessed 29-December-2019]"
}

@online{lkml.org:wireguard_net_next,
	title = {Linux Kernel Mailing List - Wireguard merged into net-next},
	url = {https://lkml.org/lkml/2019/12/8/257},
	note = "[Online; accessed 29-December-2019]"
}

@online{docker.com:dockerhub_ccolic_latex,
	title = {Docker Hub - ccolic/latex Image},
	url = {https://hub.docker.com/repository/docker/ccolic/latex},
	note = "[Online; accessed 29-December-2019]"
}

@online{wiki.org:ovf,
	title = {Wikipedia - Open Virtualization Format},
	url = {https://en.wikipedia.org/wiki/Open_Virtualization_Format},
	note = "[Online; accessed 02-January-2020]"
}

@online{wiki.org:ova,
	title = {Wikipedia - Open Virtual Appliance},
	url = {https://en.wikipedia.org/wiki/Virtual_appliance},
	note = "[Online; accessed 02-January-2020]"
}

@online{zx2c4.com:wg_peer_limitation,
	title = {Wireguard Mailing List - Peer limitation},
	url = {https://lists.zx2c4.com/pipermail/wireguard/2018-April/002612.html},
	note = "[Online; accessed 10-January-2020]"
}

@online{github.com:wireless_clients_rpi,
	title = {Github - Number of wireless clients RPI},
	url = {https://github.com/raspberrypi/linux/issues/3010},
	note = "[Online; accessed 10-January-2020]"
}

@online{raspberrypi.org:max_users_limit_wifi_ap,
	title = {raspberrypi.org - Max connected users limit Wifi AP},
	url = {https://www.raspberrypi.org/forums/viewtopic.php?t=210147},
	note = "[Online; accessed 10-January-2020]"
}

@online{raspberrypi.stackexchange.com:max_wifi_clients_pi3_hotspot,
	title = {raspberrypi.stackexchange.com - maximum wi-fi clients on pi 3 hotspot},
	url = {https://raspberrypi.stackexchange.com/questions/50162/maximum-wi-fi-clients-on-pi-3-hotspot},
	note = "[Online; accessed 10-January-2020]"
}

@online{jetbrains.com:pycharm,
	title = {Jetbrains - PyCharm Product Page},
	url = {https://www.jetbrains.com/pycharm/},
	note = "[Online; accessed 10-January-2020]"
}

@online{pythonclock.org:home,
	title = {Pythonclock - Python2.7 end of life},
	url = {https://pythonclock.org/},
	note = "[Online; accessed 10-January-2020]"
}

@online{github.io:git_fixup,
	title = {github.io - sethrobertson Git FixUp},
	url = {https://sethrobertson.github.io/GitFixUm/fixup.html},
	note = "[Online; accessed 10-January-2020]"
}

@online{zx2c4.com:wg-dynamic,
	title = {zx2c4.com - wg-dynamic},
	url = {https://git.zx2c4.com/wg-dynamic/about/docs/idea.md},
	note = "[Online; accessed 10-January-2020]"
}



